Max Payne 1 do końca nie działa pod wine


(tomi001) #1

Mam taki problem mam max payne 1 i do końca mi nie działa pod wine przy próbie zapisu gry dostaje komunikat i gra się wysypuje

 

Komunikat jest taki

 

Coś tam jeszcze pisze, ale nie spisałem tego. Moja wersja wine to 1.6.2, a dystrybucja to Kubuntu 14.04


(nintyfan) #2

Masz jakiś  problem z bibliotekami Microsoft Visual C++ lub błąd, który nie był znany podczas kompilacji programu. Nie wiem, jakie biblioteki są potrzebne, ale spróbuj je zainstalować za pomocą winetricks. Dodatkowo radzę zainstalować Max Paine w oddzielnej butelce, by nie było zgrzytu z innymi aplikacjami.


(tomi001) #3

Jest problem z wine bo ja używam wine 64 bitowego i jest taki komunikat

 

 


(saturno) #4

Pokaż wynik:

aptitude search wine

Ps.: Próbowałeś instalować tę grę przez PlayOnLinux?


(tomi001) #5

Wynik tego polecenia to

i A gnome-wine-icon-theme - Czerwony wariant zestawu ikon GNOME-Colors                                                        
i libkwineffects1abi4 - library used by effects for the KDE window manager                                                
p libkwineffects1abi4:i386 - library used by effects for the KDE window manager                                                
p libwine-gecko-2.21 - Windows API implementation - web browser module                                                   
v libwine-gecko-2.21:i386 -                                                                                                   
p libwine-gecko-dbg-2.21 - Windows API implementation - web browser debug build                                              
v libwine-gecko-dbg-2.21:i386 -                                                                                                   
p q4wine - Oparty na Qt4 graficzny interfejs użytkownika do wine (WINE)                                      
p q4wine:i386 - Oparty na Qt4 graficzny interfejs użytkownika do wine (WINE)                                      
p shiki-wine-theme - red variation of the Shiki-Colors theme                                                           
p twine - utility for interacting with PyPI                                                                 
i wine - Microsoft Windows Compatibility Layer (meta-package)                                              
p wine:i386 - Microsoft Windows Compatibility Layer (meta-package)                                              
v wine-amd64 -                                                                                                   
v wine-amd64:i386 -                                                                                                   
v wine-dev -                                                                                                   
v wine-dev:i386 -                                                                                                   
v wine-gecko -                                                                                                   
v wine-gecko:i386 -                                                                                                   
i A wine-gecko2.21 - Microsoft Windows compatibility layer (embedded web browser)                                      
i A wine-gecko2.21:i386 - Microsoft Windows compatibility layer (embedded web browser)                                      
v wine-i386 -                                                                                                   
v wine-i386:i386 -                                                                                                   
v wine-mono -                                                                                                   
v wine-mono:i386 -                                                                                                   
i A wine-mono0.0.8 - Microsoft Windows compatibility layer (.NET compatibility)                                        
v wine-mono0.0.8:i386 -                                                                                                   
p wine1.4 - Microsoft Windows Compatibility Layer (dummy package)                                             
p wine1.4:i386 - Microsoft Windows Compatibility Layer (dummy package)                                             
p wine1.4-amd64 - Microsoft Windows Compatibility Layer (dummy package)                                             
v wine1.4-amd64:i386 -                                                                                                   
p wine1.4-dbg - Microsoft Windows Compatibility Layer (dummy package)                                             
p wine1.4-dbg:i386 - Microsoft Windows Compatibility Layer (dummy package)                                             
p wine1.4-dev - Microsoft Windows Compatibility Layer (dummy package)                                             
p wine1.4-dev:i386 - Microsoft Windows Compatibility Layer (dummy package)                                             
v wine1.4-i386 -                                                                                                   
p wine1.4-i386:i386 - Microsoft Windows Compatibility Layer (dummy package)                                             
v wine1.4:any -                                                                                                   
v wine1.4:any:i386 -                                                                                                   
v wine1.5-amd64 -                                                                                                   
v wine1.5-amd64:i386 -                                                                                                   
v wine1.5-i386 -                                                                                                   
v wine1.5-i386:i386 -                                                                                                   
i A wine1.6 - Microsoft Windows Compatibility Layer (Binary Emulator and Library)                               
p wine1.6:i386 - Microsoft Windows Compatibility Layer (Binary Emulator and Library)                               
i A wine1.6-amd64 - Microsoft Windows Compatibility Layer (64-bit support)                                            
v wine1.6-amd64:i386 -                                                                                                   
p wine1.6-dbg - Microsoft Windows Compatibility Layer (debugging symbols)                                         
p wine1.6-dbg:i386 - Microsoft Windows Compatibility Layer (debugging symbols)                                         
p wine1.6-dev - Microsoft Windows Compatibility Layer (Development files)                                         
p wine1.6-dev:i386 - Microsoft Windows Compatibility Layer (Development files)                                         
v wine1.6-i386 -                                                                                                   
i A wine1.6-i386:i386 - Microsoft Windows Compatibility Layer (32-bit support)                                            
v wine1.6:any -                                                                                                   
v wine1.6:any:i386 -                                                                                                   
p winefish - LaTeX Editor based on Bluefish                                                                    
p winefish:i386 - LaTeX Editor based on Bluefish                                                                    
i A winetricks - Microsoft Windows Compatibility Layer (winetricks)                
v winetricks:i386 -

Ta gra była już w wersji zainstalowanej.


(saturno) #6
  1. Nie ogarniam tej listy pakietów (w Debianie jest prościej).

Generalnie chodziło mi czemu starą grę na siłę chcesz uruchamiać na 64-bit.

Poza tym 64-bitowych programów jest jak na lekarstwo (jeśli masz jakieś bez których nie możesz się obyć uruchamiaj je na PlayOnLinux).

 

  1. Pokaż polecenie jakim próbujesz uruchamiać grę.

 

3. 

 

Nic nie szkodzi.

Zamiast standardowo instalować wskazując gdzie jest instalator.

Klikasz: Konfiguruj > Nowy > Dalej > Prefiks > Wersja > Nazwa

Wybierasz nowo utworzony dysk > Różne > Otwórz katalog wirtualnego dysku twardego > przechodzisz do: /drive_c/Program Files i tam wklejasz katalog z grą.

Następnie przechodzisz do zakładki: Ogólne i klikasz: Utwórz skrót do tego wirtualnego dysku twardego.


(tomi001) #7

 

Dzięki teraz działa.

Wtedy działało, bo przy wyborze karty graficznej była GeForce, a teraz jest tylko zintegrowana karta graficzna i efekt jest taki sam jak na początku.